# SFTPUpload (sshj 0.4.0 API)
Date: 2011-06-06

## examples
Class SFTPUpload

    java.lang.Object
      examples.SFTPUpload

    public class SFTPUpload

extends Object

This example demonstrates uploading of a file over SFTP to the SSH server.

Constructor Summary
`SFTPUpload()`

Method Summary
`static void` `main(String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SFTPUpload

    public SFTPUpload()

Method Detail

### main

    public static void main(String[] args)
                     throws IOException

  Throws:
    `IOException`

Copyright © 2009-2011. All Rights Reserved.